# ------------------------------------------------------------
# ask_for_upssnmpd_readme()
# ------------------------------------------------------------

ask_for_upssnmpd_readme() {
#if [ -f upssnmpd.readme ];then
#    UPSSNMPDREADME=upssnmpd.readme
#elif
if [ -n "$INFO_DIR" -a -f $INFO_DIR/[Uu][Pp][Ss][Ss][Nn][Mm][Pp][Dd].[Tt][Xx][Tt] ]; then
    UPSSNMPDREADME=`ls $INFO_DIR/[Uu][Pp][Ss][Ss][Nn][Mm][Pp][Dd].[Tt][Xx][Tt] 2>/dev/null`
else
    return 1
fi
$doecho \\nDo you want to read the information for Upssnmp-daemon [Y/n]?: \\c
read yesno
dodebug "yesno = >$yesno<"
if [ "$yesno" = "" ] || [ $yesno = y ] || [ $yesno = Y ]; then
	more $UPSSNMPDREADME
fi
sleep 1
}

# ------------------------------------------------------------
# do_upssnmpd_inst()
# ------------------------------------------------------------

do_upssnmpd_inst() {

if [ -d $WPATH/[Uu][Pp][Ss][Ss][Nn][Mm][Pp][Dd] ]; then
    UPSHTTPD=`ls -d $WPATH/[Uu][Pp][Ss][Ss][Nn][Mm][Pp][Dd] 2>/dev/null`
else
    doerror can\'t find $WPATH/UPSSNMPD, no such directory!
    return 1
fi
if [ -f $UPSSNMPD/[Uu][Pp][Ss][Ss][Nn][Mm][Pp][Dd].[Tt][Aa][Rr] ]; then
    UPSSNMPD_TAR=`ls $UPSHTTPD/[Uu][Pp][Ss][Ss][Nn][Mm][Pp][Dd].[Tt][Aa][Rr] 2>/dev/null`
else
    doerror can\'t find $UPSSNMPD/upssnmpd.tar, no such file!
    return 1
fi

$doecho \\nInstall Upssnmp-daemon in `pwd`... \\c
tarerror=`$UNTAR $UPSSNMPD_TAR 2>&1`
[ "$tarerror" ] && doerror \\n$tarerror

chown root:0 upssnmpd && chmod 700 upssnmpd \
&& chown root:0 upssnmpd.sh && chmod 700 upssnmpd.sh \
&& chown root:0 upssnmpd.conf && chmod 600 upssnmpd.conf \
&& chown root:0 mib.txt && chmod 600 mib.txt
[ $? = 0 ] || doerror failed to fix permissions

$doecho ok!; sleep 1
}

# ------------------------------------------------------------
# InstallUpssnmpd()
# ------------------------------------------------------------

InstallUpssnmpd() {
dodebug "InstallUpssnmpd()"
[ -z "$UNTAR" ] && UNTAR="tar xf"

cat<<EOF

Do you want to install Upssnmp-daemon?
This software allows you to connect to upsman and monitor UPS via snmp.
EOF

ask_for_upssnmpd_readme

$doecho \\nInstall Upssnmp-daemon [Y/n]?: \\c
read yesno

if [ "$yesno" != "" ] && [ $yesno != y ] && [ $yesno != Y ]; then
    return 0
fi

check_ups_dir

cd $UPS_DIR

do_upssnmpd_inst

$doecho \\n\\nUpssnmp-daemon installed in directory `pwd`; sleep 1

}

